commit 4380d6f8acc878fbdeb6ce86f4be64d340bdfd4b
Author: Haochen Jiang <haochen.jiang@intel.com>
Date:   Mon Nov 11 10:52:33 2024 +0800

    i386: Add new model number for Arrow Lake
    
    gcc/ChangeLog:
    
            * common/config/i386/cpuinfo.h (get_intel_cpu): Add new model
            number for Arrow Lake.

diff --git a/gcc/common/config/i386/cpuinfo.h b/gcc/common/config/i386/cpuinfo.h
index 56427474b7b..e2f1e2f5f46 100644
--- a/gcc/common/config/i386/cpuinfo.h
+++ b/gcc/common/config/i386/cpuinfo.h
@@ -606,6 +606,7 @@ get_intel_cpu (struct __processor_model *cpu_model,
       CHECK___builtin_cpu_is ("grandridge");
       cpu_model->__cpu_type = INTEL_GRANDRIDGE;
       break;
+    case 0xb5:
     case 0xc5:
       /* Arrow Lake.  */
       cpu = "arrowlake";

